Docs
Assign Crew Type Section Attribute
POST /crew/types/{typeId}/sections/{sectionId}/attributes
POST
/crew/types/{typeId}/sections/{sectionId}/attributesPlaces a crew attribute in a crew type section with its required, crew-visible and crew-editable flags and position. An attribute can be placed once per section and archived attributes are refused. crewAttributeId comes from Crew_GetCrewAttributes and sectionId from Crew_GetCrewType; requires EventAdmin.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| typeId | uuid | Required | |
| sectionId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| crewAttributeId | uuid | Optional | |
| isRequired | boolean | Optional | |
| isCrewVisible | boolean | Optional | |
| isCrewEditable | boolean | Optional | |
| index | integer | Optional |